Name:           mankalaengine
Version:        1.1
Release:        %autorelease
Summary:        A Mancala game engine with AI support

License:        GPL-3.0-or-later
URL:            https://invent.kde.org/joaotgouveia/mankalaengine
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  cmake, gcc-c++, make, extra-cmake-modules
BuildRequires:  qt6-qtbase-devel, qt6-qttools-devel
BuildRequires: kf6-rpm-macros
Requires:       qt6-qtbase, mesa-libGL

%description
MankalaEngine is an engine used for creating computerized opponents for Mancala variants.

%package devel
Summary: Development files for %{Name}.

%description devel
The %{Name}-devel package contains libraries and header files for developing  applications and plugins that use %{Name}.

%package binaries
Summary: TUI Binaries for different Mancala Variants.

%description binaries
The %{Name}-binaries package contains TUI binaries for different Mancala Variants supported by MankalaEngine.

%prep
%autosetup -n %{name}-%{version}

%build
%cmake -DCMAKE_INSTALL_PREFIX=/usr -DBUILD_EXAMPLES=ON
%cmake_build

%check
cd %{_vpath_builddir}/test
ctest

%install
%cmake_install

%files
%{_libdir}/libMankalaEngine.so*
%{_libdir}/cmake/mankalaengine/*

%files devel
%{_includedir}/mankalaengine/*

%files binaries
%{_bindir}/bohnespieltui
%{_bindir}/pallangulitui

%changelog
%autochangelog

